// ============================================================================
// Copyright (c) 2014 by Arrow Electonics
// ============================================================================
//
// Permission:
//
//   Arrow Electonics grants permission to use and modify this code for use
//   in synthesis for all Arrow Development Boards.  Other use of this code, 
//   including the selling ,duplication, or modification of any portion is 
//   strictly prohibited.
//
// Disclaimer:
//
//   This VHDL/Verilog source code is intended as a design reference
//   which illustrates how these types of functions can be implemented.
//   It is the user's responsibility to verify their design for
//   consistency and functionality through the use of formal
//   verification methods.  Terasic provides no warranty regarding the use 
//   or functionality of this code.
//
// ============================================================================
// Major Functions/Design Description:
//
//   MAX10 DUAL BOOT FUNCTIONS DEMO
//
// ============================================================================
// Revision History:
// ============================================================================
//   Ver.: |Author:   |Email:                  |Changes Made:
//   V1.0  |Brand.Qi  |Brand.Qi@arrowasia.com  |10/01/2014
// ============================================================================
// LED Blink

module image2
(clk, reset_n, LED
);

input clk;
input reset_n;
output [7:0] LED;


reg 	[26:0]  counter;
reg 	[5:0]   PWM_adj;
reg   [6:0]   PWM_width;
reg   [7:0]   LED;

always @(posedge clk or negedge reset_n)
	begin
		if(~reset_n)
			begin
				counter <= 0;
				LED[0] <= 0;
			end
		else begin
				counter   <= counter+1;
				PWM_width <= PWM_width[5:0]+ PWM_adj;
				if(counter[26])
					begin
						PWM_adj <= counter[25:20];
					end
				else begin
						PWM_adj <= ~ counter[25:20];
					 end
				LED[0] <= PWM_width[6];
				LED[1] <= PWM_width[6];
				LED[2] <= PWM_width[6];
				LED[3] <= PWM_width[6];
				LED[4] <= PWM_width[6];
				LED[5] <= PWM_width[6];
				LED[6] <= PWM_width[6];
				LED[7] <= PWM_width[6];
			 end
	end

dual_boot dual_arrow(
		.clk_clk		(clk),       //   clk.clk
		.reset_reset_n  (reset_n)// reset.reset_n
	);

endmodule
